Suggest Services
Suggest Street
The Suggest Street endpoint provides predictive autocomplete for street search. The restrict_id parameter (city ID) is required.
Headers & authentication
Required request headers and their expected values.
| Field | Type | Description |
|---|---|---|
tokenreq | String | Authentication token sent in the |
Request
City context (`restrict_id`), street query, and output options.
| Field | Type | Description |
|---|---|---|
parreq | Object | Processing parameters, candidate limits, and country context |
iso2 | String | Country code, ISO 3166-1 alpha-2. One of |
iso3 | String | Country code, ISO 3166-1 alpha-3. One of |
max_candidates | Number | Maximum number of candidates to extract Default value: |
datareq | Object | Search container with mandatory parent territorial identifier |
queryreq | String | Query string |
restrict_idreq | Number | ID of the city. Used for filtering the research by a certain territorial level |
Response
Matching street candidates, street codes, and system status.
| Field | Type | Description |
|---|---|---|
data | Object | |
results | Array | Array of candidate matches returned by the suggestion engine |
lngout | String | Language code ISO 3166-1 numeric |
state | String | State name |
state_code | String | State code |
state_id | Number | ID of the state |
region | String | Region name |
region_code | String | Region code |
region_id | Number | ID of the region |
province | String | Province name |
province_code | String | Province code |
province_id | Number | ID of the province |
city | String | City name |
city_id | Number | ID of the city |
district1 | String | First-level district name |
district1_id | Number | ID of the first-level district |
zipcode | String | Postal code |
street | String | Street name |
street_id | Number | ID of the street |
system | Object | System error and execution status |
ret_code | Number | Code: 0 no blocking error, <> 0 blocking error code |
des_ret_code | String | Description |
curl -X POST "https://{host}:{port}/Egon/api/suggest/street" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA"
},
"data": {
"query": "Via Pac",
"restrict_id": 38000004730
}
}'